Bug 521922 - setroubleshoot: SELinux is preventing vboxadd-service "read write" access on /dev/vboxadd.
Summary: setroubleshoot: SELinux is preventing vboxadd-service "read write" acces...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:78ee0ef7e6d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 18:07 UTC by Jason
Modified: 2010-05-16 20:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-16 20:52:06 UTC
Type: ---


Attachments (Terms of Use)

Description Jason 2009-09-08 18:07:41 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing vboxadd-service "read write" access on /dev/vboxadd.

Detailed Description:

[vboxadd-service has a permissive type (initrc_t). This access was not denied.]

SELinux denied access requested by vboxadd-service. It is not expected that this
access is required by vboxadd-service and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:initrc_t:s0
Target Context                system_u:object_r:xserver_misc_device_t:s0
Target Objects                /dev/vboxadd [ chr_file ]
Source                        vboxadd-service
Source Path                   /usr/sbin/vboxadd-service
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-4.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.204.rc9.fc12.x86_64 #1 SMP Sat Sep 5
                              20:45:55 EDT 2009 x86_64 x86_64
Alert Count                   48
First Seen                    Fri 28 Aug 2009 12:34:25 AM EDT
Last Seen                     Tue 08 Sep 2009 02:05:46 PM EDT
Local ID                      2174b429-6820-40cf-9fdb-b7d84b362ce0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252433146.246:23): avc:  denied  { read write } for  pid=1083 comm="vboxadd-service" path="/dev/vboxadd" dev=tmpfs ino=8129 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:xserver_misc_device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1252433146.246:23): arch=c000003e syscall=16 success=yes exit=0 a0=3 a1=ffffffffc0305692 a2=7f4043945790 a3=1 items=0 ppid=1 pid=1083 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="vboxadd-service" exe="/usr/sbin/vboxadd-service" subj=system_u:system_r:initrc_t:s0 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t xserver_misc_device_t:chr_file { read write };

Comment 1 Daniel Walsh 2009-09-08 23:26:02 UTC
Looks like we need a polcy for vboxadd-service

Comment 2 Miroslav Grepl 2009-09-10 12:00:27 UTC
What is your VirtualBox release ?

Comment 3 Jason 2009-09-10 12:42:32 UTC
VirtualBox 3.04 - believe it was the latest version up until yesterday.

Comment 4 Bug Zapper 2009-11-16 12:04:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jeff Raber 2010-05-05 17:12:57 UTC
Jason,
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. 

You can obtain the updated package by typing 'yum update selinux\*' or using the graphical updater, Software Update.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Jason 2010-05-16 15:43:46 UTC
It appears to be working properly now. No selinux errors that I see. Thank you!

Comment 7 Jeff Raber 2010-05-16 20:52:06 UTC
Closing as NOTABUG as the issue seems to be fixed, but no cause was identified in this bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.